GNU bug report logs - #18517
24.3.93; `--eval' option to "emacsclient -a ALTEDITOR" should be should ignored if it falls back to alternate editor

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Jordan Wilson <inopem@HIDDEN>; Keywords: patch; merged with #11474, #12154; dated Sun, 21 Sep 2014 21:24:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 11474 12154 18517. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Sep 2014 21:23:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 21 17:23:41 2014
Received: from localhost ([127.0.0.1]:47722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XVobc-0001MG-4v
	for submit <at> debbugs.gnu.org; Sun, 21 Sep 2014 17:23:40 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38653)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <inopem@HIDDEN>) id 1XVhXs-0007Sy-HW
 for submit <at> debbugs.gnu.org; Sun, 21 Sep 2014 09:51:21 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <inopem@HIDDEN>) id 1XVhXm-0002mW-Hq
 for submit <at> debbugs.gnu.org; Sun, 21 Sep 2014 09:51:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:46508)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <inopem@HIDDEN>) id 1XVhXm-0002m0-Cy
 for submit <at> debbugs.gnu.org; Sun, 21 Sep 2014 09:51:14 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40327)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <inopem@HIDDEN>) id 1XVhXb-0002dT-8z
 for bug-gnu-emacs@HIDDEN; Sun, 21 Sep 2014 09:51:09 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <inopem@HIDDEN>) id 1XVhXV-0002l1-9t
 for bug-gnu-emacs@HIDDEN; Sun, 21 Sep 2014 09:51:03 -0400
Received: from mail-wg0-x22e.google.com ([2a00:1450:400c:c00::22e]:48510)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <inopem@HIDDEN>) id 1XVhXV-0002kd-2w
 for bug-gnu-emacs@HIDDEN; Sun, 21 Sep 2014 09:50:57 -0400
Received: by mail-wg0-f46.google.com with SMTP id a1so1570343wgh.17
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Sep 2014 06:50:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=BrfR4dlF3kZM4XxUOj5MfY5fJGToXTKQWQEd4YzPCwU=;
 b=y+bYS7vVZ1T8NfkedUzOmC0pPVmC1+mxSJLUxNhJkGtjIgB63uREMG3vwfbtTiesJD
 GpbDLEX3MfyRy9PzkR2t7QEg6yNiwD1VZj6hzLcGOKx3u3MOS68iJAeA5Py0Tk00HfpF
 Z0E8Msj+qN0lmMDDlU+L0O3L72DTSkIV4FAb8jrCvLeerFTUCMNalYC64JUra8BUx2s4
 5W6t+RE/zqSh+2YYPy2+WRuViDPsbZDbi32tu5POlPoCvMCXhlKiuC0V7nX91e05zKIX
 aCxLMKt87UJ0E0F6RyM4ozIY3llxrT7rzW90OTGLc2eF54Vcyege0iFO8XoWNd5fnEzb
 tc+Q==
X-Received: by 10.194.157.135 with SMTP id wm7mr1073138wjb.117.1411307450694; 
 Sun, 21 Sep 2014 06:50:50 -0700 (PDT)
Received: from arch-K53SC ([2.126.153.252])
 by mx.google.com with ESMTPSA id w10sm8978366wje.10.2014.09.21.06.50.49
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 21 Sep 2014 06:50:49 -0700 (PDT)
From: Jordan Wilson <inopem@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.93;
 `--eval' option to "emacsclient -a ALTEDITOR" should be should
 ignored if it falls back to alternate editor
Date: Sun, 21 Sep 2014 15:50:32 +0100
Message-ID: <87wq8xni2v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 21 Sep 2014 17:23:38 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


Hello,
calling the command "emacsclient -a nano --eval '(message
"Hello world")'", if the emacs server is not started, nano (or any other
editor, including "-a emacs") will open a buffer with the name of
"(message "Hello world")". This is not in accordance with the man page
for "emacsclient":
   -e, --eval
   do not visit files but instead evaluate the arguments as Emacs Lisp
   expressions.

That suggests in the case of falling back to the alternate editor, the
argument following the `--eval' option be ignored. If not, the
documentation needs changing to clarify this.

I've produced this bug on both 24.3.93.1 and the trunk as of yesterday.

To reproduce:
1. Kill emacs or `server-force-delete'
2. emacsclient -a *alternate-editor* --eval '(message "Hello world")'.

Thanks,
Jordan.



In GNU Emacs 24.3.93.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2014-08-16 on arch-K53SC
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
Configured using:
 `configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong
 --param=ssp-buffer-size=4' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  flyspell-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  global-anzu-mode: t
  anzu-mode: t
  winner-mode: t
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Loading /home/jordan/.recentf...done
Cleaning up the recentf list...done (0 removed)
Loading /home/jordan/.cache/emms/cache...done
Starting new Ispell process aspell with british dictionary...
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
gnus-user-agent

Memory information:
((conses 16 354510 7149)
 (symbols 48 42191 0)
 (miscs 40 159 188)
 (strings 32 103495 13654)
 (string-bytes 1 2959205)
 (vectors 16 34193)
 (vector-slots 8 661580 1782)
 (floats 8 337 14)
 (intervals 56 415 0)
 (buffers 960 14)
 (heap 1024 51680 1601))




Acknowledgement sent to Jordan Wilson <inopem@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18517; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 2 Apr 2017 03:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.